## org.springframework.test.annotation
Annotation Type ProfileValueSourceConfiguration

    @Documented
    @Inherited
    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface ProfileValueSourceConfiguration

ProfileValueSourceConfiguration is a class-level annotation which is used to specify what type of `ProfileValueSource` to use when retrieving profile values configured via the `@IfProfileValue` annotation.

Since:
  2.5
Author:
  Sam Brannen
See Also:
  `ProfileValueSource`, `IfProfileValue`, `ProfileValueUtils`

Optional Element Summary
`Class<? extends ProfileValueSource>` `value` The type of `ProfileValueSource` to use when retrieving profile values.

### value

    public abstract Class<? extends ProfileValueSource> value

  The type of `ProfileValueSource` to use when retrieving profile values.

  See Also:
    `SystemProfileValueSource`
  Default:
    org.springframework.test.annotation.SystemProfileValueSource.class